메인 콘텐츠로 건너뛰기
GET
/
v2
/
trade
/
{chain}
/
top-traders
거래 - 상위 트레이더
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/top-traders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "buyAmount": "600000",
      "buyAmountInNative": "100.5",
      "buyAmountInUsd": "12000.50",
      "buyCount": 60,
      "sellAmount": "400000",
      "sellAmountInNative": "66.8",
      "sellAmountInUsd": "8000.30",
      "sellCount": 40,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tradeAmount": "1000000",
      "tradeCount": 100,
      "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}
Get top traders ranked by volume for a specific token. Useful for identifying whales and market makers.
Related: GraphQL DEX Trades | MCP: trade_get_top_traders

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 Supported blockchain chains

사용 가능한 옵션:
sol,
eth,
bsc

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향 (next 또는 prev) Pagination direction

사용 가능한 옵션:
next,
prev
tokenAddress
string
필수

토큰 주소

timeFrame
enum<string>

거래 필터링 기간 Time frame for statistics

사용 가능한 옵션:
30m,
1h,
2h,
4h,
6h,
8h,
12h,
24h
sortType
enum<string>
기본값:desc

거래 결과 정렬 유형 Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)

사용 가능한 옵션:
asc,
desc
sortBy
enum<string>
기본값:tradeAmount

거래 정렬 기준 필드 Sort field for top traders query

사용 가능한 옵션:
tradeAmount,
tradeCount

응답

200 - application/json

성공 응답

Generic pagination response

data
object[]
필수

Page data

endCursor
string | null

Cursor for the end of current page

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

예시:

false

hasPrev
boolean

Whether there is a previous page

예시:

false

startCursor
string | null

Cursor for the start of current page

예시:

"eyJpZCI6InN0YXJ0In0="